Index: /trunk/language/lv_LV/admin.lang.php
===================================================================
--- /trunk/language/lv_LV/admin.lang.php	(revision 12720)
+++ /trunk/language/lv_LV/admin.lang.php	(revision 12721)
@@ -171,5 +171,4 @@
 $lang['You cannot move an album in its own sub album'] = 'Nevar pārvietot albūmu savā apakšalbūmā';
 $lang['You need to confirm deletion'] = 'Jums jāapstiprina izdzēšana';
-$lang['add tags'] = 'pievienot iezīmes';
 $lang['Associate to album'] = 'sasaistīt ar albūmu';
 $lang['associate to group'] = 'saistīt ar grupu';
@@ -411,5 +410,4 @@
 $lang['Toggle \'default group\' property'] = 'Pretējais \'grupa pēc noklusējuma\' īpašība';
 $lang['Advanced features'] = 'Paplašinātās funkcijas';
-$lang['Specials'] = 'Īpašās funkcijas';
 $lang['Overall'] = 'Visa';
 $lang['Year'] = 'Gads';
@@ -421,5 +419,4 @@
 $lang['Element'] = 'Elements';
 $lang['Section'] = 'Nodaļa';
-$lang['Tags'] = 'Iezīmes';
 $lang['Save page visits by guests'] = 'Saglabāt viesu apmeklētās lapas';
 $lang['Save page visits by users'] = 'Saglabāt lietotāju apmeklētās lapas';
@@ -504,9 +501,7 @@
 $lang['Other plugins'] = 'Pieejami citi spraudņi';
 $lang['Last revisions'] = 'Pēdējās izmaiņas';
-$lang['Delete'] = 'Izdzēst';
 $lang['Are you sure you want to delete this plugin?'] = 'Vai esat pārliecināts, ka gribat izdzēst šo spraudni?';
 $lang['Are you sure you want to install this plugin?'] = 'Vai esat pārliecināts, ka gribat instalēt šo spraudni?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Vai esat pārliecināts, kagribat instalēt šo jauninājumu? Pārbaudies vai esošajo versiju nav jāatinstalē.';
-$lang['%s has been successfully upgraded.'] = '%s sekmīgi uzlabots.';
 $lang['Plugin has been successfully copied'] = 'Šis spraudnis sekmīgi nokopēts';
 $lang['You might go to plugin list to install and activate it.'] = 'Pārejiet pie spraudņu saraksta, lai to instalētu un aktivētu.';
@@ -571,5 +566,4 @@
 $lang['Password is missing. Please enter the password.'] = 'Nepareiza parole. Lūdzu atkārtojiet mēģinājumu.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Nav paroles apstiprinājuma. Lūdzu apstipriniet paroli.';
-$lang['Password confirmation error.'] = 'Paroles apstiprināšanas kļūme.';
 $lang['Allow users to edit their own comments'] = 'Atļaut lietotājiem labot savus komentārus';
 $lang['Allow users to delete their own comments'] = 'Atļaut lietotājiem dzēst savus komentārus';
@@ -723,7 +717,4 @@
 $lang['All %d photos are selected'] = 'Visi %d foto ir atlasīti';
 $lang['remove this filter'] = 'noņemt šo filtru';
-$lang['predefined filter'] = 'iepriekšdefinētais filtrs';
-$lang['last import'] = 'jaunākais imports';
-$lang['with no virtual album'] = 'bez virtuālā albūma';
 $lang['Duplicates'] = 'dublikāti';
 $lang['Add a filter'] = 'Pievienot filtru';
@@ -740,6 +731,4 @@
 $lang['Type here the title'] = 'Ievadīt nosaukumu šeit';
 $lang['remove creation date'] = 'dzēst izveides datumu';
-$lang['with no album'] = 'bez albūma';
-$lang['with no tag'] = 'bez iezīmes (taga)';
 $lang['Album photos associated to the following albums: %s'] = 'Albūma fotoattēli saistīti ar sekojošiem albūmiem: %s';
 $lang['Delete orphan tags'] = 'Dzēst nepiesaistītās cilnes (iezīmes)';
@@ -845,4 +834,13 @@
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo nevar ielādēt jauninājuma failu no servera';
 $lang['Zoom'] = 'Tālummaiņa';
+$lang['%s has been successfully updated.'] = '%s ir sekmīgi atjaunināts.';
+$lang['Add tags'] = 'Pievienot tagus';
+$lang['Add to caddie'] = 'Pievienot grozam';
+$lang['High dimensions'] = 'Augstas izšķirtspējas izmēri';
+$lang['Last import'] = 'Pēdējais imports';
+$lang['Predefined filter'] = 'Definēts filtrs';
+$lang['With no album'] = 'Bez albūma';
+$lang['With no tag'] = 'Bez taga';
+$lang['With no virtual album'] = 'Bez virtuālā albūma';
 
 ?>
Index: /trunk/language/lv_LV/common.lang.php
===================================================================
--- /trunk/language/lv_LV/common.lang.php	(revision 12720)
+++ /trunk/language/lv_LV/common.lang.php	(revision 12721)
@@ -121,5 +121,4 @@
 $lang['About Piwigo'] = "Par Piwigo";
 $lang['You are not authorized to access the requested page'] = "Jūs neēsat autorizējies, lai piekļūtu šai lapai";
-$lang['Add to caddie'] = "pievienot caddie";
 $lang['add this photo to your favorites'] = 'pievienot šo foto pie jūsu favorītiem';
 $lang['Administration'] = "Administrēšana";
@@ -363,3 +362,4 @@
 $lang['EXIF Metadata'] = 'EXIF Metadati';
 $lang['IPTC Metadata'] = 'IPTC Metadati';
+$lang['Edit'] = 'Rediģēt';
 ?>