Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 12730)
+++ trunk/language/nl_NL/admin.lang.php	(revision 12736)
@@ -173,5 +173,4 @@
 $lang['You cannot move an album in its own sub album'] = 'U kunt een categorie niet verplaatsen naar zijn eigen sub-categorie';
 $lang['You need to confirm deletion'] = 'U moet de verwijdering bevestigen';
-$lang['add tags'] = 'Toevoegen tags';
 $lang['Associate to album'] = 'Link aan categorie';
 $lang['associate to group'] = 'Link aan groep';
@@ -445,5 +444,4 @@
 $lang['default values'] = 'Standaard waarden';
 $lang['High filesize'] = 'Grootte bestandsformaat';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'Gast kan niet verwijderd worden';
 $lang['Default user cannot be deleted'] = 'Standaard gebruiker kan niet verwijderd worden';
@@ -505,5 +503,4 @@
 $lang['Are you sure you want to install this plugin?'] = 'Weet U het zeker dat u deze plugin wilt installeren?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Weet U het zeker dat u deze plugin wilt bijwerken? U moet controleren of deze versie niet gedeinstaleerd moet worden.';
-$lang['%s has been successfully upgraded.'] = '%s zijn succesvol bijgewerkt.';
 $lang['Plugin has been successfully copied'] = 'Plugin is succesvol gekopieerd';
 $lang['You might go to plugin list to install and activate it.'] = 'U zou naar de plugin-lijst kunnen gaan om de plugin te installeren en te activeren.';
@@ -554,5 +551,4 @@
 $lang['Released on'] = 'Uitgegeven op';
 $lang['Number of downloads'] = 'Aantal downloads';
-// --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Operation in progress'] = 'In behandeling.';
 $lang['Please wait...'] = 'Even geduld aub...';
@@ -571,5 +567,4 @@
 $lang['Password is missing. Please enter the password.'] = 'Wachtwoord ontbreekt. Geef uw wachtwoord aub.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Wachtwoord-bevestiging ontbreekt. Bevestig aub uw gekozen wachtwoord.';
-$lang['Password confirmation error.'] = 'Fout bij de wachtwoord-bevestiging.';
 $lang['Allow users to edit their own comments'] = 'Sta toe dat gebruikers hun eigen commentaar kunnen bewerken';
 $lang['Allow users to delete their own comments'] = 'Sta toe dat gebruikers hun eigen comentaar kunnen verwijderen';
@@ -726,7 +721,4 @@
 $lang['All %d photos are selected'] = 'Alle %d foto\'s zijn geselecteerd';
 $lang['remove this filter'] = 'Verwijder dit filter';
-$lang['predefined filter'] = 'vooraf gedefinieerd filter';
-$lang['last import'] = 'Laatste import';
-$lang['with no virtual album'] = 'zonder virtueel album';
 $lang['Duplicates'] = 'duplicaten';
 $lang['Add a filter'] = 'Voeg een filter toe';
@@ -743,6 +735,4 @@
 $lang['Type here the title'] = 'Typ hier de titel';
 $lang['remove creation date'] = 'verwijder aanmaakdatum';
-$lang['with no album'] = 'zonder album';
-$lang['with no tag'] = 'zonder tag';
 $lang['Exif extension not available, admin should disable exif use'] = 'Exif extensie is niet beschikbaar, de administrator moet exif gebruik uitsluiten';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'Het geuploade bestand is groter dan upload_max_filesize instelling in php.ini: %sB';
@@ -851,4 +841,13 @@
 $lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'Als geen HD beschikbaar is en de huidige web formaat foto is groter dan de nieuwe afmetingen, dan zal Piwigo het als HD gebruiken en daar een web formaat foto van maken.';
 $lang['Zoom'] = 'Zoom';
+$lang['%s has been successfully updated.'] = '%s is geupdated.';
+$lang['Add tags'] = 'Voeg tags toe';
+$lang['Add to caddie'] = 'Voeg toe aan het winkelmandje';
+$lang['High dimensions'] = 'Hoge resolutie dimensies';
+$lang['Last import'] = 'Laatste import';
+$lang['Predefined filter'] = 'Voorgedefinieerd filter';
+$lang['With no album'] = 'Zonder album';
+$lang['With no tag'] = 'Zonder tag';
+$lang['With no virtual album'] = 'Zonder virtueel album';
 
 ?>
Index: trunk/language/nl_NL/common.lang.php
===================================================================
--- trunk/language/nl_NL/common.lang.php	(revision 12730)
+++ trunk/language/nl_NL/common.lang.php	(revision 12736)
@@ -122,5 +122,4 @@
 $lang['About Piwigo'] = 'Over Piwigo';
 $lang['You are not authorized to access the requested page'] = 'U heeft geen rechten tot de opgevraagde pagina';
-$lang['Add to caddie'] = 'Toevoegen aan winkelmandje';
 $lang['add this photo to your favorites'] = 'Voeg deze afbeelding toe aan uw favorieten';
 $lang['Administration'] = 'Beheer';
@@ -364,4 +363,5 @@
 $lang['EXIF Metadata'] = 'EXIF Metagegevens';
 $lang['IPTC Metadata'] = 'IPTC Metagegevens';
+$lang['Edit'] = 'Bewerk';
 
 ?>