Index: extensions/AdditionalPages/trunk/language/pt_PT/description.txt
===================================================================
--- extensions/AdditionalPages/trunk/language/pt_PT/description.txt	(revision 12737)
+++ extensions/AdditionalPages/trunk/language/pt_PT/description.txt	(revision 12737)
@@ -0,0 +1,1 @@
+Inserir páginas adicionais na barra de menus.
Index: extensions/AdditionalPages/trunk/language/pt_PT/index.php
===================================================================
--- extensions/AdditionalPages/trunk/language/pt_PT/index.php	(revision 12737)
+++ extensions/AdditionalPages/trunk/language/pt_PT/index.php	(revision 12737)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/AdditionalPages/trunk/language/pt_PT/plugin.lang.php
===================================================================
--- extensions/AdditionalPages/trunk/language/pt_PT/plugin.lang.php	(revision 12737)
+++ extensions/AdditionalPages/trunk/language/pt_PT/plugin.lang.php	(revision 12737)
@@ -0,0 +1,51 @@
+<?php
+
+
+$lang['ap_add_page'] = 'Inserir uma página';
+
+$lang['ap_create'] = 'Criar nova página ';
+$lang['ap_deleted_page'] = 'Página excluida';
+$lang['ap_no_name'] = 'Preencha o campo "Nome" ';
+$lang['ap_saved_page'] = 'Página gravada';
+$lang['ap_modify'] = 'Modificar página adicional';
+$lang['ap_all_lang'] = 'Tudo';
+$lang['ap_all_group'] = 'Tudo';
+
+$lang['ap_conf_saved'] = 'Configuração gravada';
+
+$lang['ap_page_name'] = 'Nome da página';
+$lang['ap_page_lang'] = 'Idioma';
+$lang['ap_default_language'] = 'Padrão';
+$lang['ap_page_pos'] = 'Posição';
+$lang['ap_authorized_group'] = 'Grupos Autorizados';
+$lang['ap_authorized_users'] = 'Usuários autorizados';
+$lang['ap_select_all'] = 'Selecionar tudo';
+$lang['ap_unselect_all'] = 'Desfazer seleção de todos';
+$lang['ap_guest'] = '(Deixe vazio para página pública)';
+$lang['ap_pos0'] = '0 para não exibir página no menu';
+$lang['ap_page_content'] = 'Conteúdo';
+$lang['ap_save'] = 'Gravar';
+$lang['ap_delete'] = 'Excluir';
+
+$lang['ap_config'] = 'Configuração';
+$lang['ap_menu_name'] = 'Nome do Menu';
+$lang['ap_show_menu'] = 'Mostrar menu em bloco';
+$lang['ap_redirect'] = 'Redirecione automaticamente para a página gravada';
+$lang['ap_show_home'] = 'Mostrar botão "Voltar para o início" nas páginas adicionais';
+$lang['ap_show_edit'] = 'Mostrar link de edição no menu em bloco';
+$lang['ap_perm'] = 'Ativar gerenciamento de autorização';
+$lang['ap_group_perm'] = 'Por grupos';
+$lang['ap_user_perm'] = 'Por tipo de usuário';
+$lang['ap_parse_bbcode'] = 'Converter páginas escritas com BBcode';
+$lang['ap_convert_bbcode_ok'] = 'Conversão realizada com sucesso';
+
+$lang['ap_edit_page'] = 'Editar página';
+$lang['ap_set_as_homepage'] = 'Definir como página Inicial';
+$lang['ap_standalone_page'] = 'Página independente';
+$lang['ap_homepage_tip'] = 'Replace your gallery\'s homepage';
+$lang['ap_standalone_tip'] = 'Página requer estrutura completa em HTML';
+$lang['ap_permalink_already_used'] = 'Permalink %/ já está sendo usado pela página %s';
+$lang['ap_level_perm'] = 'Por nível privado';
+$lang['ap_language_perm'] = 'Por idioma';
+
+?>