Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 12744)
+++ /trunk/language/es_ES/admin.lang.php	(revision 12745)
@@ -77,5 +77,4 @@
 $lang['Dissociated'] = 'Separada de';
 $lang['Does not represent'] = 'No representa';
-$lang['Edit selected tags'] = 'Editar las etiquetas seleccionadas';
 $lang['Edit tags'] = 'Editar las etiquetas';
 $lang['Email admins when a new user registers'] = 'Notificar a los administradores en el momento de inscripción de un usuario';
@@ -85,6 +84,6 @@
 $lang['Form'] = 'Formulario';
 $lang['Gallery title'] = 'Título de la galería';
-$lang['Grant selected groups'] = 'Dar el acceso a los grupos seleccionados';
-$lang['Grant selected users'] = 'Darles el acceso a los usuarios seleccionados';
+$lang['Grant selected groups'] = 'Dar acceso a los grupos seleccionados';
+$lang['Grant selected users'] = 'Darles acceso a los usuarios seleccionados';
 $lang['Group name'] = 'Nombre del grupo';
 $lang['Groups'] = 'Grupos';
@@ -93,20 +92,20 @@
 $lang['Informations'] = 'Informaciones';
 $lang['Install'] = 'Instalar';
-$lang['Link all album photos to a new album'] = 'Asociar todas las fotos del àlbum a un nuevo àlbum';
-$lang['Link all album photos to some existing albums'] = 'Asociar  todas las fotos del àlbum a los àlbumes existantes';
-$lang['Linked albums'] = 'Albums asociados';
-$lang['Lock gallery'] = 'Cerrar la galería';
+$lang['Link all album photos to a new album'] = 'Asociar todas las fotos del álbum a un nuevo álbum';
+$lang['Link all album photos to some existing albums'] = 'Asociar  todas las fotos del álbum a los álbumes existentes';
+$lang['Linked albums'] = 'Álbumes asociados';
+$lang['Lock gallery'] = 'Bloquear la galería';
 $lang['Maintenance'] = 'Mantenimiento';
 $lang['Edit album permissions'] = 'Modificar los permisos del álbum';
-$lang['Manage permissions for group "%s"'] = 'Administrar las autorizaciones para el grupo "%s"';
-$lang['Manage permissions for user "%s"'] = 'Administrar las autorizaciones para el usuario "%s"';
+$lang['Manage permissions for group "%s"'] = 'Administrar los permisos para el grupo "%s"';
+$lang['Manage permissions for user "%s"'] = 'Administrar los permisos para el usuario "%s"';
 $lang['Manage tags'] = 'Administrar las etiquetas';
 $lang['Members'] = 'Miembros';
 $lang['Metadata synchronized from file'] = 'Meta-datos sincronizadas a partir del fichero';
-$lang['Move albums'] = 'Mover los àlbumes';
-$lang['Move'] = 'Desplazar';
+$lang['Move albums'] = 'Mover los álbumes';
+$lang['Move'] = 'Mover';
 $lang['Name'] = 'Nombre';
 $lang['New name'] = 'Nuevo nombre';
-$lang['New parent album'] = 'Nuevo àlbum parent';
+$lang['New parent album'] = 'Nuevo álbum superior';
 $lang['New tag'] = 'Nueva etiqueta';
 $lang['Number of comments per page'] = 'Número de comentarios por página';
@@ -114,10 +113,10 @@
 $lang['Number of thumbnails to create'] = 'Número de miniaturas que hay que crear';
 $lang['Only private albums are listed'] = 'Listado de los abulmes privados';
-$lang['Operating system'] = 'Systema operativo';
+$lang['Operating system'] = 'Sistema operativo';
 $lang['Options'] = 'Opciones';
-$lang['Other private albums'] = 'Otros àlbumes privados';
-$lang['Page banner'] = 'Bandera de las páginas';
-$lang['Parent album'] = 'Álbum padre';
-$lang['Path'] = 'Camino';
+$lang['Other private albums'] = 'Otros álbumes privados';
+$lang['Page banner'] = 'Banners de las páginas';
+$lang['Parent album'] = 'Álbum superior';
+$lang['Path'] = 'Ruta';
 $lang['Permalink'] = 'Enlace permanente';
 $lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'El enlace permanente %s se utilizo par elàlbum %s. Borrarlo del historico de los enlaces permanentes';
@@ -179,14 +178,14 @@
 $lang['Authorize users to add comments on selected albums'] = 'Autorizar los usuarios a añadir comentarios a los álbumes seleccionados';
 $lang['The name of an album must not be empty'] = 'El nombre del àlbum no se puede quedar vacio';
-$lang['Lock albums'] = 'Bloquear los àlbumes';
+$lang['Lock albums'] = 'Bloquear los álbumes';
 $lang['Private'] = 'Album privado';
 $lang['Public'] = 'Album publico';
 $lang['Find a new representant by random'] = 'Encontrar a un nuevo representante al azar';
 $lang['Public / Private'] = 'Pública / Privada';
-$lang['Manage authorizations for selected albums'] = 'Administrar los acesos para los àlbumes selectionados';
+$lang['Manage authorizations for selected albums'] = 'Administrar los permisos para los álbumes seleccionados';
 $lang['Virtual album added'] = 'Album virtual añadido';
 $lang['Virtual album deleted'] = 'Album virtual borrado';
 $lang['Access type'] = 'Tipo de acceso';
-$lang['Information data registered in database'] = 'Informaciones registradas en la base de datos';
+$lang['Information data registered in database'] = 'Informacion registrada en la base de datos';
 $lang['Default display'] = 'Visualización por defecto';
 $lang['The gallery URL is not valid.'] = 'La dirección de la galería no es válida.';
@@ -201,5 +200,5 @@
 $lang['Album updated successfully'] = 'Álbum actualizado con éxito.';
 $lang['photos per page'] = "Fotos por página";
-$lang['High definition enabled'] = 'Alta definición activo';
+$lang['High definition enabled'] = 'Alta definición activado';
 $lang['File'] = 'Archivo';
 $lang['first photo added on %s'] = 'primera foto añadida %s';
@@ -207,19 +206,19 @@
 $lang['global mode'] = 'modo global';
 $lang['group "%s" added'] = 'grupo "%s" añadido';
-$lang['group "%s" deleted'] = 'grupo "%s" suprimido';
+$lang['group "%s" deleted'] = 'grupo "%s" borrado';
 $lang['group "%s" updated'] = 'grupo "%s" actualizado';
 $lang['The name of a group must not contain " or \' or be empty.'] = 'El nombre del grupo no debe contener "or \' y no debe estar vacío.';
 $lang['This name is already used by another group.'] = 'Este nombre es ya utilizado por otro grupo.';
 $lang['High definition'] = 'Alta definición';
-$lang['jump to album'] = 'Ir al àlbum';
+$lang['jump to album'] = 'Ir al álbum';
 $lang['jump to photo'] = "Ir a la foto";
 $lang['leave'] = 'dejar';
-$lang['Lock'] = 'Cerrar';
-$lang['Locked'] = 'Cerrado';
-$lang['manage album photos'] = 'administrar las fotos del àlbum';
-$lang['manage sub-albums'] = 'Administrar los sub-àlbumes';
+$lang['Lock'] = 'Bloquear';
+$lang['Locked'] = 'Bloqueado';
+$lang['manage album photos'] = 'administrar las fotos del álbum';
+$lang['manage sub-albums'] = 'Administrar los sub-álbumes';
 $lang['Manage'] = 'Administrar';
 $lang['maximum height'] = 'Altura máxima';
-$lang['maximum width'] = 'Ancho máxima';
+$lang['maximum width'] = 'Ancho máximo';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Se sobrepaso el tiempo de ejecución, el tratamiento debe continuar [el Tiempo estimado: %d el segundo].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'El tiempo de preparación de la lista de los usuarios para el envío es limitado. Los otros usuarios no estan en una lista.';
@@ -231,5 +230,5 @@
 $lang['See you soon,'] = 'Hasta pronto,';
 $lang['Go to'] = 'Vaya a ';
-$lang['Hello'] = 'Buenos días ';
+$lang['Hello'] = 'Hola ';
 $lang['New photos were added'] = 'Las nuevas fotos han sido añadidas';
 $lang['on'] = ' el ';
@@ -253,13 +252,13 @@
 $lang['%d mail was not sent.'] = '%s mail no ha sido enviado.';
 $lang['%d mails were not sent.'] = '%s mails no han sido enviados.';
-$lang['No mail to send.'] = 'No hay mail por enviar.';
+$lang['No mail to send.'] = 'No hay ningún email por enviar.';
 $lang['There is no available subscribers to mail.'] = 'No hay ususario que notificar por mail.';
 $lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Un ususario tiene que notificar si los nuevos elementos están disponibles para este ususario.';
 $lang['Anyway only webmasters can see this tab and never administrators.'] = 'Puede que ningún ususario este inscrito (sólo el webmaster tiene acceso a esta pestaña).';
-$lang['No user to send notifications by mail.'] = 'Ningún ususario a quien enviar notificaciones por mails.';
+$lang['No user to send notifications by mail.'] = 'Ningún ususario a quien enviar notificaciones por email.';
 $lang['New photos added'] = 'Nuevas fotos añadidas';
 $lang['Subscribe to notification by mail'] = 'Inscripción a la notificación por mail';
 $lang['Unsubscribe from notification by mail'] = 'Désinscription a la notificación por mail';
-$lang['Parameter'] = 'Parámetros';
+$lang['Parameter'] = 'Parámetro';
 $lang['Continue processing treatment'] = 'Continuar el procesamiento';
 $lang['Complementary mail content'] = 'Contenido complementario del mail';
@@ -348,7 +347,7 @@
 $lang['Results of miniaturization'] = 'Los resultados de la miniaturización';
 $lang['General statistics'] = 'Estadísticas generales';
-$lang['max time'] = 'El tiempo máximo';
+$lang['max time'] = 'Tiempo máximo';
 $lang['average time'] = 'El tiempo medio';
-$lang['min time'] = 'El tiempo mínimo';
+$lang['min time'] = 'Tiempo mínimo';
 $lang['number of miniaturized photos'] = 'número de miniaturas creadas';
 $lang['total time'] = 'el tiempo total';
@@ -365,6 +364,6 @@
 $lang['Piwigo version differs on the remote site'] = 'La versión Piwigo sobre el sitio distante es diferente';
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'La versión de create_listing_file.php sobre el sitio distante y Piwigo deben ser los mismos';
-$lang['listing.xml file was not found'] = 'El fichero listing.xml es imposible de encontrar';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'el fichero listing.xml es imposible de encontrar en el sitio distante. Este fichero está generado escogiendo el comando " generar el listado " en gestion de sitios';
+$lang['listing.xml file was not found'] = 'El fichero listing.xml no se encontró';
+$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'el fichero listing.xml no fue encontrado en el sitio. Este fichero se generó desde la opción " generar el listado " en el menú gestión de sitios';
 $lang['Error list'] = 'Lista errores';
 $lang['Errors caption'] = 'Leyenda de los errores';
@@ -385,5 +384,5 @@
 $lang['added'] = 'añadido';
 $lang['deleted'] = 'suprimido';
-$lang['Metadata synchronization results'] = 'El resultado de la sincronización de los méta-datos';
+$lang['Metadata synchronization results'] = 'Resultado de la sincronización de los meta-datos';
 $lang['only perform a simulation (no change in database will be made)'] = 'Únicamente simular (ningún cambio en la base de datos será efectuado)';
 $lang['Simulation'] = 'Simulación';
@@ -423,15 +422,15 @@
 $lang['An information email was sent to group "%s"'] = 'Un mail de informacion ha sido enviado a los miembros del grupo "%s"';
 $lang['Send an information email to group members'] = 'Enviar un mail de informacion a los miembros de un grupo';
-$lang['Group'] = 'Groupo';
+$lang['Group'] = 'Grupo';
 $lang['[%s] Visit album %s'] = '[%s] Visitar el àlbum %s';
-$lang['Hello,'] = 'Buenos días,';
+$lang['Hello,'] = 'Hola,';
 $lang['See you soon.'] = 'Hasta pronto.';
 $lang['Discover album:'] = 'Descubrir el álbum:';
-$lang['Mail content'] = 'Contenido del mail';
+$lang['Mail content'] = 'Contenido del email';
 $lang['none'] = 'Ninguno';
 $lang['high'] = 'alto';
 $lang['other'] = 'Otro';
 $lang['Element type'] = "Tipo de elemento";
-$lang['Image id'] = 'Identificando imagen';
+$lang['Image id'] = 'Identificador de la imagen';
 $lang['Summary'] = 'Resumen';
 $lang['%d line filtered'] = '%d línea filtrada';
@@ -442,6 +441,6 @@
 $lang['guest'] = 'Invitado';
 $lang['default values'] = 'Valores por defecto';
-$lang['High filesize'] = 'Talla del fichero HR';
-$lang['Guest cannot be deleted'] = 'No se puede suprimir el invitado';
+$lang['High filesize'] = 'Peso del fichero';
+$lang['Guest cannot be deleted'] = 'No se puede borrar al invitado';
 $lang['Default user cannot be deleted'] = 'No se puede suprimir al usuario por defecto';
 $lang['Purge history detail'] = 'Vaciar el histórico';
@@ -465,18 +464,18 @@
 $lang['%s value is not correct file because exif are not supported'] = 'El valor %s no es correcto porque los datos Exif no están soportados';
 $lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s debe ser puesto a "false" en su fichero config_local.inc.php';
-$lang['Main "guest" user does not exist'] = 'El usuario "invitado" principal no existe más';
-$lang['Main "guest" user status is incorrect'] = 'El estatuto del usuario "invitado" principal es incorrecto';
+$lang['Main "guest" user does not exist'] = 'El usuario "invitado" no existe.';
+$lang['Main "guest" user status is incorrect'] = 'El estado del usuario "invitado" principal es incorrecto';
 $lang['Default user does not exist'] = 'El usuario por defecto no existe';
-$lang['Main "webmaster" user does not exist'] = 'El usuario " webmestre " principal no existe más';
-$lang['Main "webmaster" user status is incorrect'] = 'El estatuto del usuario " webmestre " principal es incorrecto';
+$lang['Main "webmaster" user does not exist'] = 'El usuario " webmaster " principal no existe';
+$lang['Main "webmaster" user status is incorrect'] = 'El estado del usuario " webmaster " es incorrecto';
 $lang['User "%s" created with "%s" like password'] = 'usuario "%s" creado con la contraseña "%s"';
 $lang['Status of user "%s" updated'] = 'Estatuto del usuario "%s" actualizado';
 $lang['add new photos to caddie'] = 'añadir nuevas fotos a la cesta';
 // --------- Starting below: New or revised $lang ---- from Butterfly (
-$lang['No display'] = 'Ninguna visualizacion';
+$lang['No display'] = 'Ninguna visualización';
 $lang['Classic display'] = 'Visualizacion clásica';
-$lang['Hoverbox display'] = 'Visualizacion en el momento del sobrevuelo';
-$lang['Mail address is obligatory for all users'] = 'La dirección mail es obligatoria para todos los usuarios';
-$lang['Minimum privacy level'] = 'Nivel mínimo de carácter confidencial';
+$lang['Hoverbox display'] = 'Visualizacion en caja emergente';
+$lang['Mail address is obligatory for all users'] = 'La dirección de email es obligatoria para todos los usuarios';
+$lang['Minimum privacy level'] = 'Nivel mínimo de privacidad';
 $lang['Privacy level'] = 'Nivel de carácter confidencial';
 $lang['Level 0'] = '---';
@@ -484,5 +483,5 @@
 $lang['Level 2'] = 'Amigos';
 $lang['Level 4'] = 'Familia';
-$lang['Level 8'] = 'Admins';
+$lang['Level 8'] = 'Administradores';
 $lang['Reinitialize check integrity'] = 'Reinicializar los controles de integridad';
 $lang['Check all'] = 'Marcar todo';
@@ -499,5 +498,5 @@
 $lang['Plugin list'] = 'Lista plugins';
 $lang['Check for updates'] = 'Verificar las actualizaciones';
-$lang['Other plugins'] = 'Otro plugins disponible';
+$lang['Other plugins'] = 'Otros plugins disponible';
 $lang['Last revisions'] = 'Últimas revisiones';
 $lang['Are you sure you want to install this plugin?'] = '¿Esta seguro de querer instalar este plugin?';
@@ -534,16 +533,16 @@
 $lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Sustitución del templates de origen por su templates adaptados por el expediente  template-extension';
 $lang['Replacers (customized templates)'] = 'Los sustitutos (templates modificados)';
-$lang['Original templates'] = 'Templates de origen';
+$lang['Original templates'] = 'Plantillas de origen';
 $lang['Optional URL keyword'] = 'Parámetro facultativo del URL';
 $lang['Templates configuration has been recorded.'] = 'La configuración del templates ha sido registrada.';
 $lang['All optimizations have been successfully completed.'] = 'Todas las optimizaciones han sido realizadas con éxito.';
-$lang['Optimizations have been completed with some errors.'] = 'Ciertas optimizaciones se acabaron con errores.';
-$lang['Modify information'] = 'Modificar las informaciones';
+$lang['Optimizations have been completed with some errors.'] = 'Ciertas optimizaciones se completaron con errores.';
+$lang['Modify information'] = 'Modificar la informacion';
 $lang['nothing'] = 'nada';
 $lang['overrides existing values with empty ones'] = 'Reemplazar los valores existentes con vacíos';
 $lang['Manage photo ranks'] = "Administrar el orden de las fotos";
 $lang['Edit ranks'] = 'Modificar el orden';
-$lang['No photo in this album'] = 'Ningún fotos en este àlbum';
-$lang['Images manual order was saved'] = 'La orden manual de las imágenes ha sido salvada';
+$lang['No photo in this album'] = 'Ninguna foto en este álbum';
+$lang['Images manual order was saved'] = 'El orden manual de las imágenes ha sido guardado';
 $lang['ranks'] = 'Filas';
 $lang['Drag to re-order'] = 'Hacer clic y arrastra para reorganizar';
@@ -557,5 +556,5 @@
 $lang['Number of downloads'] = 'Número de descargas';
 $lang['Piwigo Announcements Newsletter'] = 'Boletín informativo Piwigo';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Quédese en contacto con el proyecto Piwigo, abónese a la newsletter. Usted recibirá un e-mail cuando una nueva versión estará disponible (a veces un bug de seguridad es corregido, es importante estar al tanto) o que un acontecimiento superior sobrevengá sobre el proyecto. Solamente algunos mensajes al año.';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Manténgase en contacto con el proyecto Piwigo, suscríbase al boletín de noticias. Usted recibirá un e-mail cuando una nueva versión esté disponible (a veces un bug de seguridad es corregido, es importante estar al tanto) o que un acontecimiento superior ocurra sobre el proyecto. Solamente serán algunos mensajes al año.';
 $lang['Subscribe %s'] = 'Abonar a la newsletter inglesa %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abonar %s a la newsletter Piwigo';
@@ -563,9 +562,8 @@
 $lang['Hide'] = 'Esconder';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Sobrepasado el tiempo de ejecución, el procesamiento debe continuar [Tiempo estimado: %d secundas].';
-$lang['Operation in progress'] = 'Tratamiento corriente.';
+$lang['Operation in progress'] = 'Operación en progreso.';
 $lang['Please wait...'] = 'Por favor, espere...';
-$lang['Password is missing. Please enter the password.'] = 'La contraseña falta. Por favor, coja la contraseña.';
-$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'La contraseña falta. Por favor, coja la contraseña.';
-$lang['Password confirmation error.'] = 'Error de confirmación de la contraseña.';
+$lang['Password is missing. Please enter the password.'] = 'La contraseña falta. Por favor, escoja la contraseña.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'La confirmación de la contraseña faltó. Por favor, confirme la contraseña elegida.';
 $lang['Allow users to edit their own comments'] = 'Autorizar a los usuarios a modificar sus propios comentarios';
 $lang['Allow users to delete their own comments'] = 'Autorizar a los usuarios a suprimir sus propios comentarios';
@@ -573,5 +571,5 @@
 $lang['Email administrators when a comment is deleted'] = 'Notificar a los administradores cuando un comentario es suprimido';
 $lang['Cannot delete the old permalink !'] = '¡Imposible suprimir este enlace permanente!';
-$lang['Hit'] = 'Golpe';
+$lang['Hit'] = 'Acceso';
 $lang['Tools'] = 'herramientas';
 $lang['Photos'] = 'Fotos';
@@ -626,9 +624,9 @@
 $lang['Get Support on Piwigo Forum'] = 'Conseguir la ayuda en el foro de Piwigo';
 $lang['Help Me'] = 'Ayuda';
-$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'La activación de este tema es imposible, porque el tema allegado es faltante: %s';
-$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Este tema no puede ser suprimido, porque otros tema dependen de él: %s';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Imposible activar el tema, falta el archivo %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Este tema no puede ser borrado, porque otros tema dependen de él: %s';
 $lang['Inactive Themes'] = 'Temas desactivadas';
-$lang['Install on your computer,'] = 'Instale sobre su ordenador,';
-$lang['Make this theme available to users'] = 'Devolver este tema disponible para los usuarios';
+$lang['Install on your computer,'] = 'Instale en su ordenador,';
+$lang['Make this theme available to users'] = 'Volver este tema disponible para los usuarios';
 $lang['Page end'] = 'Fin de la página';
 $lang['Piwigo Uploader'] = 'Piwigo Uploader';
@@ -640,5 +638,5 @@
 $lang['Visit Piwigo project website'] = 'Visitar el sitio Web del proyecto Piwigo';
 $lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'PLoader significa <em>Piwigo Uploader</em>. Desde su ordenador, pLoader prepara sus fotos y los traslada hacia su galería foto Piwigo.';
-$lang['Guest Settings'] = 'Parámetros invitado';
+$lang['Guest Settings'] = 'Ajustes de los invitado';
 $lang['Main Page'] = 'Página principal';
 $lang['Photo Page'] = 'Página de la foto';
@@ -652,9 +650,9 @@
 $lang['Installed Languages'] = 'Idiomas instaladas';
 $lang['Add New Language'] = 'Añadir un nuevo idioma';
-$lang['Language has been successfully installed'] = 'La idiomas ha estado instalada con éxito';
+$lang['Language has been successfully installed'] = 'Se ha instalado con éxito el nuevo idioma';
 $lang['Select:'] = 'Seleccionar:';
 $lang['None'] = 'Nada';
 $lang['Invert'] = 'Invertir';
-$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Imposible desactivada este tema, debe quedar por lo menos un tema acelerado.';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'Imposible desactivar este tema, debe quedar por lo menos un tema activado.';
 $lang['Webmaster status is required.'] = 'Usted debe tener el status de "webmaster".';
 $lang['Bound Theme'] = 'Tema relacionado';
@@ -670,10 +668,10 @@
 $lang['Delete this language'] = 'Suprimir este idioma';
 $lang['Forbid this language to users'] = 'Prohibirles este idioma a los usuarios';
-$lang['Impossible to deactivate this language, first set another language as default.'] = 'Imposible desactivada esta idioma, comience por definir otra idioma por defecto.';
-$lang['Impossible to deactivate this language, you need at least one language.'] = 'Imposible desactivada esta idioma, debe quedar por lo menos una idioma.';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'Imposible desactivar este idioma, debe definir otro idioma por defecto primero.';
+$lang['Impossible to deactivate this language, you need at least one language.'] = 'Imposible desactivar este idioma, se necesita al menos un idioma.';
 $lang['Inactive Languages'] = 'Idiomas desactivadas';
-$lang['Make this language available to users'] = 'Devolver esta idioma disponible para los usuarios';
+$lang['Make this language available to users'] = 'Volver este idioma disponible para los usuarios';
 $lang['Set as default language for unregistered and new users'] = 'Idioma por defecto para los invitados y los nuevos usuarios';
-$lang['Miscellaneous'] = 'Mas informaciones';
+$lang['Miscellaneous'] = 'Mas informacion';
 $lang['Virtual Links'] = 'Enlaces virtuales';
 $lang['Add Photos'] = 'Añadir fotos';
@@ -685,9 +683,9 @@
 $lang['Manual order'] = 'Orden manual';
 $lang['Add another set of photos'] = 'Añadir unas fotos nuevas';
-$lang['Order of menubar items has been updated successfully.'] = 'La orden de los elementos del menú ha sido actualizada con éxito.';
+$lang['Order of menubar items has been updated successfully.'] = 'El orden de los elementos del menú ha sido actualizada con éxito.';
 $lang['This theme was not designed to be directly activated'] = 'Este tema no es concebido por ser acelerado directamente';
 $lang['Who can see this photo?'] = '¿Quien puede ver esta foto?';
 $lang['Pending Comments'] = 'Comentarios pendientes';
-$lang['Menu Management'] = 'Menú';
+$lang['Menu Management'] = 'Administración del menú';
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'En el archivo php.ini, la variable upload_max_filesize (% SB) es mayor que post_max_size (SB%), debe cambiar esta configuración';
 $lang['Exif extension not available, admin should disable exif use'] = 'La extension Exif no esta disponible, un administrador deberia deshabilitar el uso de metadatos Exif';
@@ -767,5 +765,5 @@
 $lang['Type in a search term'] = 'Introduce un término de búsqueda';
 $lang['new'] = 'nuevo';
-$lang['No results'] = 'No hay resultados';
+$lang['No results'] = 'Sin resultados';
 $lang['Searching...'] = 'Buscar...';
 $lang['Activate icon "new" next to albums and pictures'] = 'Activar el icono "nuevo" al lado de álbumes y fotos';